{
    attributes = (
        {
            columnName = "C_MOTIF_DEPART"; 
            externalType = VARCHAR2; 
            name = cMotifDepart; 
            valueClassName = NSString; 
            valueType = S; 
            width = 5; 
        }, 
        {
            allowsNull = Y; 
            columnName = "C_RNE"; 
            externalType = VARCHAR2; 
            name = cRne; 
            valueClassName = NSString; 
            valueType = S; 
            width = 8; 
        }, 
        {
            allowsNull = Y; 
            columnName = COMMENTAIRE; 
            externalType = VARCHAR2; 
            internalInfo = {"_nameInObjectStore" = "REM_DELEGATION"; }; 
            name = commentaire; 
            valueClassName = NSString; 
            valueType = S; 
            width = 2000; 
        }, 
        {
            allowsNull = Y; 
            columnName = "D_CESSATION_SERVICE"; 
            externalType = DATE; 
            name = dCessationService; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            columnName = "D_CREATION"; 
            externalType = DATE; 
            name = dCreation; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            allowsNull = Y; 
            columnName = "D_EFFET_RADIATION"; 
            externalType = DATE; 
            name = dEffetRadiation; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            columnName = "D_MODIFICATION"; 
            externalType = DATE; 
            isReadOnly = N; 
            name = dModification; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            allowsNull = Y; 
            columnName = "D_RADIATION_EMPLOI"; 
            externalType = DATE; 
            name = dRadiationEmploi; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            allowsNull = Y; 
            columnName = "D_ARRETE_DEPART"; 
            externalType = DATE; 
            name = dateArrete; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            columnName = "D_EFFET_DEPART"; 
            externalType = DATE; 
            name = dateDebut; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            allowsNull = Y; 
            columnName = "D_FIN_DEPART"; 
            externalType = DATE; 
            name = dateFin; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            allowsNull = Y; 
            columnName = "LIEU_DEPART"; 
            externalType = VARCHAR2; 
            name = lieuDepart; 
            valueClassName = NSString; 
            valueType = S; 
            width = 80; 
        }, 
        {
            allowsNull = Y; 
            columnName = "NO_ARRETE_DEPART"; 
            externalType = VARCHAR2; 
            name = noArrete; 
            valueClassName = NSString; 
            valueType = S; 
            width = 20; 
        }, 
        {
            columnName = "NO_DEPART"; 
            externalType = NUMBER; 
            name = noDepart; 
            precision = 8; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "NO_DOSSIER_PERS"; 
            externalType = NUMBER; 
            name = noDossierPers; 
            precision = 8; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "TEM_DEPART_PREVISIONNEL"; 
            externalType = VARCHAR2; 
            name = temDepartPrevisionnel; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1; 
        }, 
        {
            columnName = "TEM_VALIDE"; 
            externalType = VARCHAR2; 
            name = temValide; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1; 
        }, 
        {
            allowsNull = Y; 
            columnName = "ABS_NUMERO"; 
            externalType = NUMBER; 
            name = absNumero; 
            precision = 8; 
            valueClassName = NSNumber; 
            valueType = i; 
        }
    ); 
    attributesUsedForLocking = (
        noDepart, 
        noDossierPers, 
        cMotifDepart, 
        noArrete, 
        cRne, 
        lieuDepart, 
        temDepartPrevisionnel, 
        commentaire, 
        temValide, 
        absNumero
    ); 
    className = "org.cocktail.mangue.modele.mangue.individu.EODepart"; 
    classProperties = (
        dateDebut, 
        dateFin, 
        dateArrete, 
        noArrete, 
        lieuDepart, 
        temDepartPrevisionnel, 
        dCreation, 
        dModification, 
        individu, 
        motifDepart, 
        rne, 
        commentaire, 
        temValide, 
        dEffetRadiation, 
        dRadiationEmploi, 
        dCessationService, 
        absence
    ); 
    externalName = "MANGUE.DEPART"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        "_clientClassPropertyNames" = (
            lieuDepart, 
            temDepartPrevisionnel, 
            individu, 
            noArrete, 
            dateArrete, 
            motifDepart, 
            rne, 
            dateDebut, 
            commentaire, 
            temValide, 
            dCessationService, 
            dEffetRadiation, 
            dRadiationEmploi, 
            dCreation, 
            dModification, 
            absence, 
            dateFin
        ); 
    }; 
    name = Depart; 
    primaryKeyAttributes = (noDepart); 
    relationships = (
        {
            destination = Absences; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = absNumero; sourceAttribute = absNumero; }); 
            name = absence; 
        }, 
        {
            destination = IndividuUlr; 
            internalInfo = {"_nameInObjectStore" = individu; }; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = noIndividu; sourceAttribute = noDossierPers; }); 
            name = individu; 
        }, 
        {
            destination = MotifDepart; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = code; sourceAttribute = cMotifDepart; }); 
            name = motifDepart; 
        }, 
        {
            destination = Rne; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = code; sourceAttribute = cRne; }); 
            name = rne; 
        }
    ); 
}
